> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/reference/sql-commands/sql-dropopfamily.md).

# DROP OPERATOR FAMILY

### DROP OPERATOR FAMILY

DROP OPERATOR FAMILY — remove an operator family

### Synopsis

```

DROP OPERATOR FAMILY [ IF EXISTS ] name USING index_method [ CASCADE | RESTRICT ]
```

### Description

`DROP OPERATOR FAMILY` drops an existing operator family. To execute this command you must be the owner of the operator family.

`DROP OPERATOR FAMILY` includes dropping any operator classes contained in the family, but it does not drop any of the operators or functions referenced by the family. If there are any indexes depending on operator classes within the family, you will need to specify `CASCADE` for the drop to complete.

### Parameters

`IF EXISTS` : Do not throw an error if the operator family does not exist. A notice is issued in this case.

*`name`* : The name (optionally schema-qualified) of an existing operator family.

*`index_method`* : The name of the index access method the operator family is for.

`CASCADE` : Automatically drop objects that depend on the operator family, and in turn all objects that depend on those objects (see [Section 5.15](/the-sql-language/ddl/ddl-depend.md)).

`RESTRICT` : Refuse to drop the operator family if any objects depend on it. This is the default.

### Examples

Remove the B-tree operator family `float_ops`:

```

DROP OPERATOR FAMILY float_ops USING btree;
```

This command will not succeed if there are any existing indexes that use operator classes within the family. Add `CASCADE` to drop such indexes along with the operator family.

### Compatibility

There is no `DROP OPERATOR FAMILY` statement in the SQL standard.

### See Also

[ALTER OPERATOR FAMILY](/reference/sql-commands/sql-alteropfamily.md), [CREATE OPERATOR FAMILY](/reference/sql-commands/sql-createopfamily.md), [ALTER OPERATOR CLASS](/reference/sql-commands/sql-alteropclass.md), [CREATE OPERATOR CLASS](/reference/sql-commands/sql-createopclass.md), [DROP OPERATOR CLASS](/reference/sql-commands/sql-dropopclass.md)

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/sql-dropopfamily.html)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/reference/sql-commands/sql-dropopfamily.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
